import { Canvas } from '@nativescript-community/ui-canvas';
import { ImageSource, Observable } from '@nativescript/core';
import { ImageBitmapRenderingContext } from '../contexts/ImageBitmapRenderingContext';
import { OffscreenCanvasRenderingContext2D } from '../contexts/OffscreenCanvasRenderingContext2D';
declare class NSOffscreenCanvas extends Observable {
    private readonly _nativeContext;
    private _context;
    constructor(width: number, height: number);
    getContext(contextId: '2d'): OffscreenCanvasRenderingContext2D | null;
    getContext(contextId: 'bitmaprenderer'): ImageBitmapRenderingContext | null;
    transferToImageBitmap(): ImageSource;
    get nativeContext(): Canvas;
    get width(): number;
    get height(): number;
}
export { NSOffscreenCanvas as OffscreenCanvas };
